Functions
Data Access
Peripheral Driver » LL Driver » MSIO » Functions

## Functions
__STATIC_INLINE uint32_t | ll_msio_read_input_port (msio_pad_t MSIOx)
| Return full input data register value of MSIO. More...
__STATIC_INLINE uint32_t | ll_msio_read_input_pin (msio_pad_t MSIOx, uint32_t pin_mask)
| Return if input data level of several MSIO pins is high or low. More...
__STATIC_INLINE uint32_t | ll_msio_read_output_pin (msio_pad_t MSIOx, uint32_t pin_mask)
| Return if input data level of several MSIO pins is high or low. More...
__STATIC_INLINE void | ll_msio_write_output_port (msio_pad_t MSIOx, uint32_t port_value)
| Write output data register of MSIO. More...
__STATIC_INLINE uint32_t | ll_msio_read_output_port (msio_pad_t MSIOx)
| Return full output data register value of MSIO. More...
__STATIC_INLINE void | ll_msio_set_output_pin (msio_pad_t MSIOx, uint32_t pin_mask)
| Set specified MSIO pins to high level. More...
__STATIC_INLINE void | ll_msio_reset_output_pin (msio_pad_t MSIOx, uint32_t pin_mask)
| Set specified MSIO pins to low level. More...
__STATIC_INLINE void | ll_msio_toggle_pin (msio_pad_t MSIOx, uint32_t pin_mask)
| Toggle data value of specified MSIO pins. More...

## Detailed Description

## Function Documentation

## ◆ ll_msio_read_input_pin()

__STATIC_INLINE uint32_t ll_msio_read_input_pin | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask
| ) |  |

Return if input data level of several MSIO pins is high or low.

Register|BitsName --------|-------- MSIO_A_PAD_CFG0 | IN_VAL

Parameters

  MSIOx | MSIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9 LL_MSIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 852 of file ll_msio.h.

References AON_MSIO.

## ◆ ll_msio_read_input_port()

__STATIC_INLINE uint32_t ll_msio_read_input_port | ( | msio_pad_t | MSIOx | ) |

Return full input data register value of MSIO.

Register|BitsName --------|-------- MSIO_A_PAD_CFG0 | AON_MSIO_A_PAD_CFG0_IN

Parameters

  MSIOx | MSIO instance.

Return values

  Input | data register value of port

Definition at line 825 of file ll_msio.h.

References AON_MSIO.

## ◆ ll_msio_read_output_pin()

__STATIC_INLINE uint32_t ll_msio_read_output_pin | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask
| ) |  |

Return if input data level of several MSIO pins is high or low.

Register|BitsName --------|-------- MSIO_PAD_CFG_0 | OUT_VAL

Parameters

  MSIOx | MSIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9 LL_MSIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 880 of file ll_msio.h.

References AON_MSIO.

## ◆ ll_msio_read_output_port()

__STATIC_INLINE uint32_t ll_msio_read_output_port | ( | msio_pad_t | MSIOx | ) |

Return full output data register value of MSIO.

Register|BitsName --------|-------- MSIO_PAD_CFG_0 | IN

Parameters

  MSIOx | MSIO instance.

Return values

  Output | data register value of port

Definition at line 911 of file ll_msio.h.

References AON_MSIO.

## ◆ ll_msio_reset_output_pin()

__STATIC_INLINE void ll_msio_reset_output_pin | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask
| ) |  |

Set specified MSIO pins to low level.

Register|BitsName --------|-------- MSIO_PAD_CFG_0 | OUT_VAL

Parameters

  MSIOx | MSIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9 LL_MSIO_PIN_ALL

Return values

  None |

Definition at line 965 of file ll_msio.h.

References AON_MSIO.

## ◆ ll_msio_set_output_pin()

__STATIC_INLINE void ll_msio_set_output_pin | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask
| ) |  |

Set specified MSIO pins to high level.

Register|BitsName --------|-------- MSIO_PAD_CFG_0 | OUT_VAL

Parameters

  MSIOx | MSIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9 LL_MSIO_PIN_ALL

Return values

  None |

Definition at line 938 of file ll_msio.h.

References AON_MSIO.

## ◆ ll_msio_toggle_pin()

__STATIC_INLINE void ll_msio_toggle_pin | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask
| ) |  |

Toggle data value of specified MSIO pins.

Register|BitsName --------|-------- MSIO_PAD_CFG_0 | OUT_VAL

Parameters

  MSIOx | MSIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9 LL_MSIO_PIN_ALL

Return values

  None |

Definition at line 992 of file ll_msio.h.

References AON_MSIO.

## ◆ ll_msio_write_output_port()

__STATIC_INLINE void ll_msio_write_output_port | ( | msio_pad_t | MSIOx,
|  | uint32_t | port_value
| ) |  |

Write output data register of MSIO.

Register|BitsName --------|-------- MSIO_PAD_CFG_0 | OUT_VAL

Parameters

  MSIOx | MSIO instance.
  port_value | Level value for each pin of the port

Return values

  None |

Definition at line 897 of file ll_msio.h.

References AON_MSIO.